9 Oct 2022 mcxalter 22-282

1.
NAME
2.
SYNOPSIS
3.
DESCRIPTION
4.
OPTIONS
5.
AUTHOR
6.
SEE ALSO

## NAME

mcxalter — various network transformations

## SYNOPSIS

mcxalter [-imx <fname> (specify matrix/graph input)] [-abc <fname> (specify label input)] [-tab <fname> (use tab file)] [-icl <fname> (specify cluster input)] [--block (use within-cluster edges)] [--blockc (use between-cluster edges)] [-o <fname> (output)] [-tf spec (apply tf-spec to input matrix)]

## DESCRIPTION

This utility supplies various transformations of networks.

## OPTIONS

-abc <fname> (label input)

The file name for input that is in label format.

-imx <fname> (input matrix)

The file name for input that is in mcl native matrix format.

-tab <fname> (use tab file)

This option causes the output to be printed with the labels found in the tab file. With -abc this option will, additionally, construct a graph only on the labels found in the tab file. If this option is used in conjunction with -imx the tab domain and the matrix domain are required to be identical.

-icl <fname> (specify cluster input)

Read in a cluster file for use with either --block or --blockc.

--block (use within-cluster edges)

Remove between-cluster edges from the network. This is done first, before other transformations take effect.

--blockc (use between-cluster edges)

Remove within-cluster edges from the network. This is done first, before other transformations take effect.

-tf <tf-spec> (transform input matrix values)

Transform the input matrix values according to the syntax described in mcxio.

-o fname (output file)

Output file.

## AUTHOR

Stijn van Dongen.

## SEE ALSO

mcxio, mcx, mcxsubs, and mclfamily for an overview of all the documentation and the utilities in the mcl family.